Name: python-django-pipeline
Version: 1.3.24
Release: 3%{?dist}
Summary: An asset packaging library for Django

Group: Applications/Internet
License: MIT
URL: https://github.com/cyberdelia/django-pipeline
Source0: http://pypi.python.org/packages/source/d/django-pipeline/django-pipeline-%{version}.tar.gz
BuildArch: noarch
buildRequires: python2-devel
BuildRequires:  python-setuptools

%if 0%{?fedora} > 17
Requires:       python-django
%else
Requires:       Django
%endif
Requires:       python-futures >= 2.1.3

%description
Pipeline is an asset packaging library for Django, providing both CSS
and JavaScript concatenation and compression, built-in JavaScript template
support, and optional data-URI image and font embedding

%prep
%setup -q -n django-pipeline-%{version}
rm -Rf django_pipeline*.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT

# Remove the "tests" subdirectory to avoid it polluting the main python
# namespace:
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/tests

%files
%doc LICENSE
%{python_sitelib}/django_pipeline*.egg-info/
%{python_sitelib}/pipeline/



%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 09 2014 Stephen Gallagher <sgallagh@redhat.com> 1.3.24-1
- Upgrade to latest upstream release 1.3.24
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Thu Apr 03 2014 Stephen Gallagher <sgallagh@redhat.com> 1.3.23-1
- Upgrade to latest upstream release 1.3.23
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Wed Jan 22 2014 Stephen Gallagher <sgallagh@redhat.com> - 1.3.20-2
- Upgrade to latest upstream release 1.3.20
- Changelog: https://pypi.python.org/pypi/django-pipeline/

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.2.24-2
- Bumping release for rebuild

* Mon Jan 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.2.24-1
- Upgrade to latest upstream release 1.2.24
- Fix yui/yuglify settings overriding each other
- Separate yuglify compressor from YUI compressor
- Improve HTML compression middleware
- Better compressor error messages
- Improve installation documentation
- Fix packaging metadata
- Add documentation about non-packing storage

* Thu Dec 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.21-1
- Upgrade to latest upstream release 1.2.21

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.17-1
- Upgrade to latest upstream release
- Support for more compressors:
-   SlimIt
-   Closure
-   CSSTidy
-   cssmin

* Mon Aug 06 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-3
- Initial release
- Add django_pipeline to Fedora to support Review Board 1.7
